import request from '@/utils/request'

// 分页
export function page(query){
  return request({
    url: `/appStartConfig/page`,
    method: 'get',
    params: query
  })
}

// 新增
export function submit(data){
  return request({
    url: `/appStartConfig/save`,
    method: 'post',
    data
  })
}

// 详情
export function detail(query){
  return request({
    url: `/appStartConfig/get`,
    method: 'get',
    params: query
  })
}

// 编辑
export function edit(data){
  return request({
    url: `/appStartConfig/update`,
    method: 'post',
    data
  })
}

// 校验生效期
export function checked(data){
  return request({
    url: `/appStartConfig/checkTime`,
    method: 'post',
    data
  })
}

// 删除
export function remove(data){
  return request({
    url: `/appStartConfig/remove`,
    method: 'post',
    data
  })
}